curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Retrieve a paginated list of all DNS records within a specific zone. Records can be filtered by type to show only specific record types. Each record includes its name, type, content, TTL, and proxy status (for applicable record types).
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the DNS zone
Filter records by type (e.g., A, AAAA, CNAME, MX, TXT, NS, SRV, CAA)